diff --git a/fedoraproject.org/data/content/get-prerelease.html b/fedoraproject.org/data/content/get-prerelease.html
index 859fcff..7d38e60 100644
--- a/fedoraproject.org/data/content/get-prerelease.html
+++ b/fedoraproject.org/data/content/get-prerelease.html
@@ -17,33 +17,33 @@
                     <li>
                         <h4><acronym title="BitTorrent is a protocol allowing you to download files quickly by allowing people downloading the file to upload (distribute) parts of it at the same time.">${Markup(_('BitTorrent'))}</acronym></h4>
                         <ul>
-                            <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-14-Alpha-i386-DVD.torrent">${Markup(_('i386'))}</a> - ${Markup(_('Install DVD'))}</li>
-                            <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-14-Alpha-x86_64-DVD.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Install DVD'))}</li>
-                            <li style="margin-top: 1.25ex;"><a href="http://torrent.fedoraproject.org/torrents/Fedora-14-Alpha-i386-CDs.torrent">${_('i386')}</a> - ${_('Install CDs')}</li>
-                            <li><a href="http://torrent.fedoraproject.org/torrents/Fedora-14-Alpha-x86_64-CDs.torrent">${_('x86_64')}</a> - ${_('Install CDs')}</li>
+                            <li><a class="download-splash" href="http://torrent.fedoraproject.org/torrents/Fedora-14-Alpha-i386-DVD.torrent">${Markup(_('i386'))}</a> - ${Markup(_('Install DVD'))}</li>
+                            <li><a class="download-splash" href="http://torrent.fedoraproject.org/torrents/Fedora-14-Alpha-x86_64-DVD.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Install DVD'))}</li>
+                            <li style="margin-top: 1.25ex;"><a class="download-splash" href="http://torrent.fedoraproject.org/torrents/Fedora-14-Alpha-i386-CDs.torrent">${_('i386')}</a> - ${_('Install CDs')}</li>
+                            <li><a class="download-splash" href="http://torrent.fedoraproject.org/torrents/Fedora-14-Alpha-x86_64-CDs.torrent">${_('x86_64')}</a> - ${_('Install CDs')}</li>
                         </ul>
                     </li>
                     <li>
                         <h4>${Markup(_('Direct Download'))}</h4>
                         <ul>
-                            <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/i386/iso/Fedora-14-Alpha-i386-DVD.iso">${Markup(_('i386'))}</a> - ${Markup(_('Install DVD'))}</li>
-                            <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/x86_64/iso/Fedora-14-Alpha-x86_64-DVD.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Install DVD'))}</li>
-                            <li style="margin-top: 1.25ex;"><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/i386/iso/">${_('i386')}</a> - ${_('Install CDs')}</li>
-                            <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/x86_64/iso/">${_('x86_64')}</a> - ${_('Install CDs')}</li>
+                            <li><a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/i386/iso/Fedora-14-Alpha-i386-DVD.iso">${Markup(_('i386'))}</a> - ${Markup(_('Install DVD'))}</li>
+                            <li><a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/x86_64/iso/Fedora-14-Alpha-x86_64-DVD.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Install DVD'))}</li>
+                            <li style="margin-top: 1.25ex;"><a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/i386/iso/">${_('i386')}</a> - ${_('Install CDs')}</li>
+                            <li><a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/x86_64/iso/">${_('x86_64')}</a> - ${_('Install CDs')}</li>
                         </ul>
                     </li>
                     <li>
                         <h4><acronym title="Jigsaw Download, or short jigdo, is a tool designed to ease the distribution of very large files over the internet.">${_('Jigdo')}</acronym></h4>
                         <ul>
-                            <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/i386/jigdo/">${_('i386')}</a></li>
-                            <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/x86_64/jigdo/">${_('x86_64')}</a></li>
+                            <li><a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/i386/jigdo/">${_('i386')}</a></li>
+                            <li><a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Fedora/x86_64/jigdo/">${_('x86_64')}</a></li>
                         </ul>
                     </li>
                     <!-- experimental -->
                     <li>
                         <h4><acronym title="gPXE is an open source (GPL) network bootloader.">gPXE</acronym></h4>
                         <ul>
-                            <li><a href="http://boot.fedoraproject.org/">BFO</a></li>
+                            <li><a class="download-splash" href="http://boot.fedoraproject.org/">BFO</a></li>
                         </ul>
                     </li>
                     <!-- /experimental -->
@@ -54,15 +54,15 @@
                     <li>
                         <h4>${Markup(_('BitTorrent'))}</h4>
                         <ul>
-                            <li><a href="http://torrent.fedoraproject.org/torrents/F14-Alpha-i686-Live.torrent">${Markup(_('i686'))}</a> - ${Markup(_('Live DVD'))}</li>
-                            <li><a href="http://torrent.fedoraproject.org/torrents/F14-Alpha-x86_64-Live.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Live DVD'))}</li>
+                            <li><a class="download-splash" href="http://torrent.fedoraproject.org/torrents/F14-Alpha-i686-Live.torrent">${Markup(_('i686'))}</a> - ${Markup(_('Live DVD'))}</li>
+                            <li><a class="download-splash" href="http://torrent.fedoraproject.org/torrents/F14-Alpha-x86_64-Live.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Live DVD'))}</li>
                         </ul>
                     </li>
                     <li>
                         <h4>${Markup(_('Direct Download'))}</h4>
                         <ul>
-                            <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Live/i686/F14-Alpha-i686-Live.iso">${Markup(_('i686'))}</a> - ${Markup(_('Live DVD'))}</li>
-                            <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Live/x86_64/F14-Alpha-x86_64-Live.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Live DVD'))}</li>
+                            <li><a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Live/i686/F14-Alpha-i686-Live.iso">${Markup(_('i686'))}</a> - ${Markup(_('Live DVD'))}</li>
+                            <li><a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Live/x86_64/F14-Alpha-x86_64-Live.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Live DVD'))}</li>
                         </ul>
                     </li>
                 </ul>
@@ -72,19 +72,25 @@
                     <li>
                         <h4>${Markup(_('BitTorrent'))}</h4>
                         <ul>
-                            <li><a href="http://torrent.fedoraproject.org/torrents/F14-Alpha-i686-Live-KDE.torrent">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
-                            <li><a href="http://torrent.fedoraproject.org/torrents/F14-Alpha-x86_64-Live-KDE.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
+                            <li><a class="download-splash" href="http://torrent.fedoraproject.org/torrents/F14-Alpha-i686-Live-KDE.torrent">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
+                            <li><a class="download-splash" href="http://torrent.fedoraproject.org/torrents/F14-Alpha-x86_64-Live-KDE.torrent">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
                         </ul>
                     </li>
                     <li>
                         <h4>${Markup(_('Direct Download'))}</h4>
                         <ul>
-                            <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Live/i686/F14-Alpha-i686-Live-KDE.iso">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
-                            <li><a href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Live/x86_64/F14-Alpha-x86_64-Live-KDE.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
+                            <li><a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Live/i686/F14-Alpha-i686-Live-KDE.iso">${Markup(_('i686'))}</a> - ${Markup(_('Live CD'))}</li>
+                            <li><a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/test/14-Alpha/Live/x86_64/F14-Alpha-x86_64-Live-KDE.iso">${Markup(_('x86_64'))}</a> - ${Markup(_('Live CD'))}</li>
                         </ul>
                     </li>
                 </ul>
-
+<p>
+    <a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/13/Live/i686/Fedora-13-i686-Live.iso" onclick='send(http://download.fedoraproject.org/pub/fedora/linux/releases/13/Live/i686/Fedora-13-i686-Live.iso)'>Test Link (both ahref and js)</a><br />
+    <a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/13/Live/i686/Fedora-14-i686-Live.iso" onclick='send(this)'>Test Link (only ahref)</a><br />
+    <a href="javascript: void(0);" onclick='send(http://download.fedoraproject.org/pub/fedora/linux/releases/13/Live/i686/Fedora-14-i686-Live.iso)'>Test Link (only js)</a><br />
+    <a href='javascript: void(0);' onclick='send(this)'>Test Link (no ahref or js)</a><br />
+    <a class="download-splash" href="http://download.fedoraproject.org/pub/fedora/linux/releases/13/Live/i686/Fedora-13-i686-Live.iso">Test Link (plain, no onclick)</a><br />
+</p>
                 <h3>${Markup(_('Let me look around...'))}</h3>
                 <ul class="download">
                     <li><a href="http://torrent.fedoraproject.org/">${Markup(_('See all torrents'))}</a></li>
diff --git a/fedoraproject.org/static/js/init.js b/fedoraproject.org/static/js/init.js
index 2f089ac..fc88ace 100644
--- a/fedoraproject.org/static/js/init.js
+++ b/fedoraproject.org/static/js/init.js
@@ -31,6 +31,16 @@ $(document).ready(function(){
 	// force overlay
 	$("img[rel]").overlay();
 
+    // redirect download links to splash page
+    $("a.download-splash").click(function(event){
+        event.preventDefault();
+        linkLocation = this.href;
+
+        window.location = 'download-splash.html';
+        // would like to add some delay
+        window.open(linkLocation);
+	});
+
 	// main site banners
 	// see: banner.js
 	var choices = [];