diff --git a/manifests/services/planet.pp b/manifests/services/planet.pp
index b56702c..7135f4b 100644
--- a/manifests/services/planet.pp
+++ b/manifests/services/planet.pp
@@ -1,311 +1,346 @@
 # planet stuff
 
 class planet {
-        group { planet-user:
-                gid => 104,
-              }
-
-        user { planet-user:
-                uid => 104,
-                gid => 104,
-                shell => '/bin/bash',
-                home => '/srv/planet',
-                comment => 'Planet-run-user',
-        }
-
-      configfile { "/etc/cron.d/planet-cron":
-             source => "system/planet/planet-cron"
-           }
-
-      configfile { "/etc/httpd/conf.d/planet.conf":
-             source => "system/planet/planet.conf",
-             require => Package['httpd'],
-
-           }
-
-      folder {'/srv/planet/config/people/templates/':
-            source => 'system/planet/people/templates/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
-
-      package { "venus":
-                 ensure => present,
-              }
-      script { "/usr/local/bin/pull-run-planet-config.sh":
-               source => "system/planet/pull-run-planet-config.sh"
-             }
+
+    group { planet-user:
+        gid => 104,
+    }
+
+    user { planet-user:
+        uid => 104,
+        gid => 104,
+        shell => '/bin/bash',
+        home => '/srv/planet',
+        comment => 'Planet-run-user',
+    }
+
+    configfile { "/etc/httpd/conf.d/planet.conf":
+        source => "system/planet/planet.conf",
+        require => Package['httpd'],
+    }
+
+    package { "venus":
+        ensure => present,
+    }
+
+    script { "/usr/local/bin/pull-run-planet-config.sh":
+        source => "system/planet/pull-run-planet-config.sh"
+    }
 
     # planet config generator
+
     script { "/usr/local/bin/planetconfigbuilder.py":
-           source => "system/planet/planetconfigbuilder.py"
-           }
-    file {  "/etc/planet":
-                        ensure => directory,
-                        owner => root,
-                        group => root,
-                        mode => 0775
-          }
+        source => "system/planet/planetconfigbuilder.py"
+    }
+
+    file { "/etc/planet":
+        ensure => directory,
+        owner => root,
+        group => root,
+        mode => 0775
+    }
+
+    # begin people planet (default)
 
-    configfile { "/etc/planet/fpbuilder.conf":
-       source => "system/planet/fpbuilder.conf"
-           }
     configfile { "/etc/planet/people_base_config":
-       source => "system/planet/people_base_config"
-           }
+        source => "system/planet/people_base_config"
+    }
+
+    configfile { "/etc/planet/fpbuilder.conf":
+        source => "system/planet/fpbuilder.conf"
+    }
+
+    configfile { "/etc/cron.d/planet-cron":
+        source => "system/planet/planet-cron"
+    }
+
+    folder { '/srv/planet/config/people/templates/':
+        source => 'system/planet/people/templates/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    file { "/srv/planet/site/people":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'web',
+        mode => 0775
+    }
+
+    folder { "/srv/planet/site/people/css":
+        source => 'system/planet/people/css/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    folder { "/srv/planet/site/people/images":
+        source => 'system/planet/people/images/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    # end people planet
+
 
     # begin design team planet
-    file {  "/etc/planet/design":
-                        ensure => directory,
-                        owner => root,
-                        group => root,
-                        mode => 0775
-          }
+    
+    file { "/etc/planet/design":
+        ensure => directory,
+        owner => root,
+        group => root,
+        mode => 0775
+    }
 
     configfile { "/etc/planet/design/fpbuilder.conf":
-       source => "system/planet/design/fpbuilder.conf"
-           }
+        source => "system/planet/design/fpbuilder.conf"
+    }
+
     configfile { "/etc/planet/design/base_config":
-       source => "system/planet/design/base_config"
-           }
-
-      configfile { "/etc/cron.d/planet-design.cron":
-             source => "system/planet/design/planet-group.cron"
-           }
-
-    file {  "/srv/planet/config/design":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'planet-user',
-                        mode => 0755
-          }
-
-    file {  "/srv/planet/config/design/cache":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'web',
-                        mode => 0775
-          }
-
-   folder {'/srv/planet/config/design/templates/':
-            source => 'system/planet/design/templates/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
-
-
-    file {  "/srv/planet/site/design":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'web',
-                        mode => 0775
-          }
-
-   folder { "/srv/planet/site/design/css":
-            source => 'system/planet/design/css/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
-
-   folder { "/srv/planet/site/design/images":
-            source => 'system/planet/design/images/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
+        source => "system/planet/design/base_config"
+    }
+
+    configfile { "/etc/cron.d/planet-design.cron":
+        source => "system/planet/design/planet-group.cron"
+    }
+
+    file { "/srv/planet/config/design":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'planet-user',
+        mode => 0755
+    }
+
+    file { "/srv/planet/config/design/cache":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'web',
+        mode => 0775
+    }
+
+    folder { '/srv/planet/config/design/templates/':
+        source => 'system/planet/design/templates/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    file { "/srv/planet/site/design":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'web',
+        mode => 0775
+    }
+
+    folder { "/srv/planet/site/design/css":
+        source => 'system/planet/design/css/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    folder { "/srv/planet/site/design/images":
+        source => 'system/planet/design/images/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
     # end design team planet
 
     # Begin desktop team planet
-    file {  "/etc/planet/desktop":
-                        ensure => directory,
-                        owner => root,
-                        group => root,
-                        mode => 0775
-          }
+    
+    file { "/etc/planet/desktop":
+        ensure => directory,
+        owner => root,
+        group => root,
+        mode => 0775
+    }
 
     configfile { "/etc/planet/desktop/fpbuilder.conf":
-       source => "system/planet/desktop/fpbuilder.conf"
-           }
+        source => "system/planet/desktop/fpbuilder.conf"
+    }
+
     configfile { "/etc/planet/desktop/base_config":
-       source => "system/planet/desktop/base_config"
-           }
-
-      configfile { "/etc/cron.d/planet-desktop.cron":
-             source => "system/planet/desktop/planet-group.cron"
-           }
-
-    file {  "/srv/planet/config/desktop":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'planet-user',
-                        mode => 0755
-          }
-
-    file {  "/srv/planet/config/desktop/cache":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'web',
-                        mode => 0775
-          }
-
-   folder {'/srv/planet/config/desktop/templates/':
-            source => 'system/planet/desktop/templates/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
-
-
-    file {  "/srv/planet/site/desktop":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'web',
-                        mode => 0775
-          }
-
-   folder { "/srv/planet/site/desktop/css":
-            source => 'system/planet/desktop/css/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
-
-   folder { "/srv/planet/site/desktop/images":
-            source => 'system/planet/desktop/images/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
+        source => "system/planet/desktop/base_config"
+    }
+
+    configfile { "/etc/cron.d/planet-desktop.cron":
+        source => "system/planet/desktop/planet-group.cron"
+    }
+
+    file { "/srv/planet/config/desktop":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'planet-user',
+        mode => 0755
+    }
+
+    file { "/srv/planet/config/desktop/cache":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'web',
+        mode => 0775
+    }
+
+    folder { '/srv/planet/config/desktop/templates/':
+        source => 'system/planet/desktop/templates/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    file { "/srv/planet/site/desktop":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'web',
+        mode => 0775
+    }
+
+    folder { "/srv/planet/site/desktop/css":
+        source => 'system/planet/desktop/css/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    folder { "/srv/planet/site/desktop/images":
+        source => 'system/planet/desktop/images/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+    
     # end desktop team planet
 
     # begin security team planet
     file {  "/etc/planet/security":
-                        ensure => directory,
-                        owner => root,
-                        group => root,
-                        mode => 0775
-          }
+        ensure => directory,
+        owner => root,
+        group => root,
+        mode => 0775
+    }
 
     configfile { "/etc/planet/security/fpbuilder.conf":
-       source => "system/planet/security/fpbuilder.conf"
-           }
+        source => "system/planet/security/fpbuilder.conf"
+    }
+
     configfile { "/etc/planet/security/base_config":
-       source => "system/planet/security/base_config"
-           }
-
-      configfile { "/etc/cron.d/planet-security.cron":
-             source => "system/planet/security/planet-group.cron"
-           }
-
-    file {  "/srv/planet/config/security":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'planet-user',
-                        mode => 0755
-          }
-
-    file {  "/srv/planet/config/security/cache":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'web',
-                        mode => 0775
-          }
-
-   folder {'/srv/planet/config/security/templates/':
-            source => 'system/planet/security/templates/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
-
-
-    file {  "/srv/planet/site/security":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'web',
-                        mode => 0775
-          }
-
-   folder { "/srv/planet/site/security/css":
-            source => 'system/planet/security/css/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
-
-   folder { "/srv/planet/site/security/images":
-            source => 'system/planet/security/images/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
+        source => "system/planet/security/base_config"
+    }
+
+    configfile { "/etc/cron.d/planet-security.cron":
+        source => "system/planet/security/planet-group.cron"
+    }
+
+    file { "/srv/planet/config/security":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'planet-user',
+        mode => 0755
+    }
+
+    file { "/srv/planet/config/security/cache":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'web',
+        mode => 0775
+    }
+
+    folder { '/srv/planet/config/security/templates/':
+        source => 'system/planet/security/templates/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    file { "/srv/planet/site/security":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'web',
+        mode => 0775
+    }
+
+    folder { "/srv/planet/site/security/css":
+        source => 'system/planet/security/css/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    folder { "/srv/planet/site/security/images":
+        source => 'system/planet/security/images/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
     # end security team planet
 
     # begin summer-coding team planet
-    file {  "/etc/planet/summer-coding":
-                        ensure => directory,
-                        owner => root,
-                        group => root,
-                        mode => 0775
-          }
+
+    file { "/etc/planet/summer-coding":
+        ensure => directory,
+        owner => root,
+        group => root,
+        mode => 0775
+    }
 
     configfile { "/etc/planet/summer-coding/fpbuilder.conf":
-       source => "system/planet/summer-coding/fpbuilder.conf"
-           }
+        source => "system/planet/summer-coding/fpbuilder.conf"
+    }
+    
     configfile { "/etc/planet/summer-coding/base_config":
-       source => "system/planet/summer-coding/base_config"
-           }
-
-      configfile { "/etc/cron.d/planet-summer-coding.cron":
-             source => "system/planet/summer-coding/planet-group.cron"
-           }
-
-    file {  "/srv/planet/config/summer-coding":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'planet-user',
-                        mode => 0755
-          }
-
-    file {  "/srv/planet/config/summer-coding/cache":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'web',
-                        mode => 0775
-          }
-
-   folder {'/srv/planet/config/summer-coding/templates/':
-            source => 'system/planet/summer-coding/templates/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
-
-
-    file {  "/srv/planet/site/summer-coding":
-                        ensure => directory,
-                        owner => 'planet-user',
-                        group => 'web',
-                        mode => 0775
-          }
-
-   folder { "/srv/planet/site/summer-coding/css":
-            source => 'system/planet/summer-coding/css/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
-
-   folder { "/srv/planet/site/summer-coding/images":
-            source => 'system/planet/summer-coding/images/',
-            recurse => true,
-            group => 'web',
-            owner => 'planet-user',
-           }
-    # end summer-coding team planet
-
+        source => "system/planet/summer-coding/base_config"
+    }
+
+    configfile { "/etc/cron.d/planet-summer-coding.cron":
+        source => "system/planet/summer-coding/planet-group.cron"
+    }
+
+    file { "/srv/planet/config/summer-coding":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'planet-user',
+        mode => 0755
+    }
+
+    file { "/srv/planet/config/summer-coding/cache":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'web',
+        mode => 0775
+    }
+
+    folder { '/srv/planet/config/summer-coding/templates/':
+        source => 'system/planet/summer-coding/templates/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    file { "/srv/planet/site/summer-coding":
+        ensure => directory,
+        owner => 'planet-user',
+        group => 'web',
+        mode => 0775
+    }
+
+    folder { "/srv/planet/site/summer-coding/css":
+        source => 'system/planet/summer-coding/css/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
+
+    folder { "/srv/planet/site/summer-coding/images":
+        source => 'system/planet/summer-coding/images/',
+        recurse => true,
+        group => 'web',
+        owner => 'planet-user',
+    }
 
+    # end summer-coding team planet
 }