diff --git a/fedoracommunity.org/static/css/layout.css b/fedoracommunity.org/static/css/layout.css
index 27f659c..b4eeffe 100755
--- a/fedoracommunity.org/static/css/layout.css
+++ b/fedoracommunity.org/static/css/layout.css
@@ -216,45 +216,31 @@ ul, ol {
 	padding:10px;
 }
 
-
-
 /* Continent Header */
 /* the whole row */
 #continent-nav {
 	background-color: #ecedeb;
 	background: url('../images/tab_background.png') repeat-x;
+	height: 69px;
 }
 
-#continent-nav h3 { padding-top: 18px; }
-#continent-nav a { font-size: 12px; }
-
-/* each individual continent icon */
-.continent-icon { padding: 9px; float: left; }
-
-.asia-head { border-top: 6px #79db32 solid; background-color: inherit; margin-right: 0; padding-right: 13px; height: 69px; border-left: 1px #badbb6 solid; border-bottom: 1px #babdb6 solid;}
-.asia-head:hover { border-top: 6px #79db32 solid; background-color: #dfdfdf; height: 69px;}
+#continent-nav h3 { #padding-top: 18px; }
+#continent-nav a { font-size: 12px; height: 45px; padding-top: 18px; }
 
-.africa-head { border-top: 6px #a07cbc solid; background-color: inherit; margin: auto 0; padding: 0 7px; height: 69px; 	border-bottom: 1px #babdb6 solid;}
-.africa-head:hover { border-top: 6px #a07cbc solid; background-color: #dfdfdf; height:  69px; }
+a.asia-head { border-top: 6px #79db32 solid; background:transparent url(../images/tab_label-asia.png) no-repeat scroll 9px; padding-left: 40%; }
+a.africa-head { border-top: 6px #a07cbc solid; background:transparent url(../images/tab_label-africa.png) no-repeat scroll 9px; padding-left: 20%; }
+a.america-head { border-top: 6px #e5972b solid; background:transparent url(../images/tab_label-americas.png) no-repeat scroll 9px; padding-left: 40%; }
+a.europe-head { border-top: 6px #db3279 solid; background:transparent url(../images/tab_label-europe.png) no-repeat scroll 9px; padding-left: 40%; }
 
-.america-head { border-top: 6px #e5972b solid; background-color: inherit; margin: auto 0; padding: 0 7px; height: 69px; 	border-bottom: 1px #babdb6 solid;}
-.america-head:hover { border-top: 6px #e5972b solid; background-color: #dfdfdf; height: 69px; }
+a.asia-head:hover { color: #ecedeb; border-top: 6px #79db32 solid; background:#7A7C77 url(../images/tab_label-asia.png) no-repeat scroll 9px; padding-left: 40%; }
+a.africa-head:hover { color: #ecedeb; border-top: 6px #a07cbc solid; background:#7A7C77 url(../images/tab_label-africa.png) no-repeat scroll 9px; padding-left: 20%; }
+a.america-head:hover { color: #ecedeb; border-top: 6px #e5972b solid; background:#7A7C77 url(../images/tab_label-americas.png) no-repeat scroll 9px; padding-left: 40%; }
+a.europe-head:hover { color: #ecedeb; border-top: 6px #db3279 solid; background:#7A7C77 url(../images/tab_label-europe.png) no-repeat scroll 9px; padding-left: 40%; }
 
-.europe-head { border-top: 6px #db3279 solid; background-color: inherit; margin-left: 0; padding-left: 14px; height: 69px; border-bottom: 1px #babdb6 solid;}
-.europe-head:hover { border-top: 6px #db3279 solid; background-color: #dfdfdf; height: 69px; }
 
-.asia-head, .africa-head, .america-head, .europe-head {
-	border-right: 1px #babdb6 solid;
-}
-
-.asia-head:hover, .africa-head:hover, .america-head:hover, .europe-head:hover {
-	background: #babdb6 url('../images/tab_hover-background.png') repeat-x scroll top left;
-	border-right: 1px #badbb6 solid;
-}
+.asia-head, .africa-head, .america-head, .europe-head { text-decoration: none; color: #294172; display:block; }
+#.asia-head:hover, .africa-head:hover, .america-head:hover, .europe-head:hover { color: #ecedeb; background:#BABDB6 url(../images/tab_hover-background.png) repeat-x scroll left top; }
 
-.asia-head a, .africa-head a, .america-head a, .europe-head a { text-decoration: none; color: #294172; }
-.asia-head:hover a, .africa-head:hover a, .america-head:hover a, .europe-head:hover a { color: #ecedeb; }
-
 
 /* site navigation */
 #site-nav {
diff --git a/fedoracommunity.org/template.html b/fedoracommunity.org/template.html
index 06a22f2..3e7fd5a 100755
--- a/fedoracommunity.org/template.html
+++ b/fedoracommunity.org/template.html
@@ -33,10 +33,10 @@
 						</div>
 					<div class="clear"></div>
 						<div id="continent-nav" class="grid_16">
-							<div class="grid_3 alpha asia-head"><img class="continent-icon" src="static/images/tab_label-asia.png" /><h3><a href="#">Asia-Pacific</a></h3></div>
-							<div class="grid_5 africa-head"><img class="continent-icon" src="static/images/tab_label-africa.png" /><h3><a href="#">Europe, Middle East, and Africa</a></h3></div>
-							<div class="grid_4 america-head"><img class="continent-icon" src="static/images/tab_label-americas.png" /><h3><a href="#">Latin America</a></h3></div>
-							<div class="grid_4 omega europe-head"><img class="continent-icon" src="static/images/tab_label-europe.png" /><h3><a href="#">North America</a></h3></div>
+							<div class="grid_3 alpha"><h3><a href="#" class="asia-head">Asia-Pacific</a></h3></div>
+							<div class="grid_5"><h3><a href="#" class="africa-head">Europe, Middle East, and Africa</a></h3></div>
+							<div class="grid_4"><h3><a href="#" class="america-head">Latin America</a></h3></div>
+							<div class="grid_4 omega"><h3><a href="#" class="europe-head">North America</a></h3></div>
 						</div>
 				</div>
 			</div>