diff --git a/fedoraproject.org/static/js/banner.js b/fedoraproject.org/static/js/banner.js
index 418de6b..3773b81 100644
--- a/fedoraproject.org/static/js/banner.js
+++ b/fedoraproject.org/static/js/banner.js
@@ -29,23 +29,3 @@ var banners = [
   ]
 ];
 
-window.onload = function() {
-  var choices = [];
-  var k = 0;
-  for (var i = 0; i < banners.length; ++i) {
-      for (var j = 0; j < banners[i][3]; ++j) { choices[k++] = i; }
-  }
-
-  var choice = Math.floor(Math.random()*(choices.length));
-  var image = banners[choices[choice]][0];
-  var alt = banners[choices[choice]][1];
-  var url = banners[choices[choice]][2];
-
-  var bannerlink = document.getElementById("banner").getElementsByTagName("a")[0];
-  bannerlink.setAttribute("href", url);
-
-  var bannerimg = document.getElementById("banner").getElementsByTagName("img")[0];
-  bannerimg.setAttribute("src", image);
-  bannerimg.setAttribute("alt", alt);
-}
-
diff --git a/fedoraproject.org/static/js/custom.js b/fedoraproject.org/static/js/custom.js
index b531301..c36922c 100644
--- a/fedoraproject.org/static/js/custom.js
+++ b/fedoraproject.org/static/js/custom.js
@@ -1,5 +1,7 @@
-// for export regulations
 $(document).ready(function(){
+
+
+	// for export regulations
 	$("#export-regulations").expander({
 		slicePoint: 350,
 		widow: 1,
@@ -7,4 +9,40 @@ $(document).ready(function(){
 		expandText: '<strong>Read full export regulations</strong> <img src="/static/images/arrow_down.png">',
 		userCollapseText: '<strong>Hide full export regulations</strong> <img src="/static/images//arrow_up.png">'
 	});
+
+
+  // rotation banners
+  var choices = [];
+  var k = 0;
+  for (var i = 0; i < banners.length; ++i) {
+      for (var j = 0; j < banners[i][3]; ++j) { choices[k++] = i; }
+  }
+
+  var choice = Math.floor(Math.random()*(choices.length));
+  var image = banners[choices[choice]][0];
+  var alt = banners[choices[choice]][1];
+  var url = banners[choices[choice]][2];
+
+  var bannerlink = document.getElementById("banner").getElementsByTagName("a")[0];
+  bannerlink.setAttribute("href", url);
+
+  var bannerimg = document.getElementById("banner").getElementsByTagName("img")[0];
+  bannerimg.setAttribute("src", image);
+  bannerimg.setAttribute("alt", alt);
+  
+  
+  
+  // sponsor banners
+  var image = sponsor_banner[0];
+  var alt = sponsor_banner[1];
+  var url = sponsor_banner[2];
+
+  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
+  bannerlink.setAttribute("href", url);
+
+  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
+  bannerimg.setAttribute("src", image);
+  bannerimg.setAttribute("alt", alt);
+ 
+
 });
diff --git a/fedoraproject.org/static/js/sponsors/bodhost.js b/fedoraproject.org/static/js/sponsors/bodhost.js
index 1808992..b220563 100644
--- a/fedoraproject.org/static/js/sponsors/bodhost.js
+++ b/fedoraproject.org/static/js/sponsors/bodhost.js
@@ -5,17 +5,3 @@ var sponsor_banner = [
     "BODHost",
     "http://www.bodhost.com/"
 ];
-
-window.onload = function() {
-
-  var image = sponsor_banner[0];
-  var alt = sponsor_banner[1];
-  var url = sponsor_banner[2];
-
-  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
-  bannerlink.setAttribute("href", url);
-
-  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
-  bannerimg.setAttribute("src", image);
-  bannerimg.setAttribute("alt", alt);
-}
diff --git a/fedoraproject.org/static/js/sponsors/ibiblio.js b/fedoraproject.org/static/js/sponsors/ibiblio.js
index 338bedc..b651fbc 100644
--- a/fedoraproject.org/static/js/sponsors/ibiblio.js
+++ b/fedoraproject.org/static/js/sponsors/ibiblio.js
@@ -6,16 +6,3 @@ var sponsor_banner = [
     "http://www.ibiblio.org"
 ];
 
-window.onload = function() {
-
-  var image = sponsor_banner[0];
-  var alt = sponsor_banner[1];
-  var url = sponsor_banner[2];
-
-  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
-  bannerlink.setAttribute("href", url);
-
-  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
-  bannerimg.setAttribute("src", image);
-  bannerimg.setAttribute("alt", alt);
-}
diff --git a/fedoraproject.org/static/js/sponsors/osuosl.js b/fedoraproject.org/static/js/sponsors/osuosl.js
index 98a4f20..813484d 100644
--- a/fedoraproject.org/static/js/sponsors/osuosl.js
+++ b/fedoraproject.org/static/js/sponsors/osuosl.js
@@ -6,16 +6,3 @@ var sponsor_banner = [
     "http://osuosl.org/"
 ];
 
-window.onload = function() {
-
-  var image = sponsor_banner[0];
-  var alt = sponsor_banner[1];
-  var url = sponsor_banner[2];
-
-  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
-  bannerlink.setAttribute("href", url);
-
-  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
-  bannerimg.setAttribute("src", image);
-  bannerimg.setAttribute("alt", alt);
-}
diff --git a/fedoraproject.org/static/js/sponsors/redhat.js b/fedoraproject.org/static/js/sponsors/redhat.js
index a9112ee..954104b 100644
--- a/fedoraproject.org/static/js/sponsors/redhat.js
+++ b/fedoraproject.org/static/js/sponsors/redhat.js
@@ -6,16 +6,3 @@ var sponsor_banner = [
     "http://www.redhat.com"
 ];
 
-window.onload = function() {
-
-  var image = sponsor_banner[0];
-  var alt = sponsor_banner[1];
-  var url = sponsor_banner[2];
-
-  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
-  bannerlink.setAttribute("href", url);
-
-  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
-  bannerimg.setAttribute("src", image);
-  bannerimg.setAttribute("alt", alt);
-}
diff --git a/fedoraproject.org/static/js/sponsors/telia.js b/fedoraproject.org/static/js/sponsors/telia.js
index e53c58f..2b13b55 100644
--- a/fedoraproject.org/static/js/sponsors/telia.js
+++ b/fedoraproject.org/static/js/sponsors/telia.js
@@ -6,16 +6,3 @@ var sponsor_banner = [
     "http://www.teliasoneraic.com/"
 ];
 
-window.onload = function() {
-
-  var image = sponsor_banner[0];
-  var alt = sponsor_banner[1];
-  var url = sponsor_banner[2];
-
-  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
-  bannerlink.setAttribute("href", url);
-
-  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
-  bannerimg.setAttribute("src", image);
-  bannerimg.setAttribute("alt", alt);
-}
diff --git a/fedoraproject.org/static/js/sponsors/tummy.js b/fedoraproject.org/static/js/sponsors/tummy.js
index 8038e83..0df1ddf 100644
--- a/fedoraproject.org/static/js/sponsors/tummy.js
+++ b/fedoraproject.org/static/js/sponsors/tummy.js
@@ -5,17 +5,3 @@ var sponsor_banner = [
     "Tummy",
     "http://www.tummy.com"
 ];
-
-window.onload = function() {
-
-  var image = sponsor_banner[0];
-  var alt = sponsor_banner[1];
-  var url = sponsor_banner[2];
-
-  var bannerlink = document.getElementById("hosting-sponsor").getElementsByTagName("a")[0];
-  bannerlink.setAttribute("href", url);
-
-  var bannerimg = document.getElementById("hosting-sponsor").getElementsByTagName("img")[0];
-  bannerimg.setAttribute("src", image);
-  bannerimg.setAttribute("alt", alt);
-}