diff --git a/fedoraproject.org/data/content/get-fedora.html b/fedoraproject.org/data/content/get-fedora.html
index c17d990..0317253 100644
--- a/fedoraproject.org/data/content/get-fedora.html
+++ b/fedoraproject.org/data/content/get-fedora.html
@@ -8,12 +8,24 @@
     </head>
     <body class="get">
         <h2>${Markup(_('Fedora, For You.'))}</h2>
-        <div class="download-sidebar" >
-            <a id="kde-banner" href="${path}/${lang}/get-fedora-kde"><span>${_('KDE fans, go here!')}</span></a>
-            <a id="ppc-banner" href="${path}/${lang}/get-fedora-ppc" class="even"><span>${_('Have a PowerPC?  Go here!')}</span></a>
-            <a id="advanced-banner" href="${path}/${lang}/get-fedora-all"><span>${_('Show me all download options in one page!')}</span></a>
+        <div id="download-resources" >
+        	<h4>${_('What will I need?')}</h4>
+			<ul class="checkmark-list">
+				<li>${_('A blank CD or DVD')}</li>
+				<li>${_('A 400MHz or faster processor')}</li>
+				<li>${_('At least 256 MB of memory (RAM)')}</li>
+				<li>${_('At least 10GB hard drive space (For install only)')}</li>
+				<li>${_('Follow the steps below in order to use the spin ISO file.')}</li>
+			</ul>
+			<h4>${_('Handy Resources')}</h4>
+			<ul>
+				<li>${_('Installation Quickstart Guide')}</li>
+				<li>${_('Installation Guide')}</li>
+				<li>${_('Release Notes')}</li>
+				<li>${_('Upgrading Fedora')}</li>
+				<li>${_('Help &amp; Support')}</li>
+			</ul>
         </div>
-
         <div class="download-block" id="new">
             <h3>${Markup(_('Get Fedora 12 Desktop Edition Now &lt;em class="byline"&gt;Installable Live CD&lt;/em&gt;'))}</h3>
             <div class="resources-pane">
diff --git a/fedoraproject.org/po/fedora-web.pot b/fedoraproject.org/po/fedora-web.pot
index 77bb4f5..6f187d4 100644
--- a/fedoraproject.org/po/fedora-web.pot
+++ b/fedoraproject.org/po/fedora-web.pot
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: PROJECT VERSION\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2009-11-16 19:58-0500\n"
+"POT-Creation-Date: 2009-12-23 23:53-0600\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -212,7 +212,7 @@ msgstr ""
 #: data/content/get-fedora-all.html:36 data/content/get-fedora-all.html:37
 #: data/content/get-fedora-all.html:51 data/content/get-fedora-all.html:52
 #: data/content/get-fedora-all.html:53 data/content/get-fedora-kde.html:54
-#: data/content/get-fedora-ppc.html:33 data/content/get-fedora.html:49
+#: data/content/get-fedora-ppc.html:33 data/content/get-fedora.html:61
 #: data/content/get-prerelease.html:20 data/content/get-prerelease.html:21
 #: data/content/get-prerelease.html:22 data/content/get-prerelease.html:31
 #: data/content/get-prerelease.html:32 data/content/get-prerelease.html:33
@@ -293,7 +293,7 @@ msgstr ""
 #: data/content/get-fedora-all.html:116 data/content/get-fedora-all.html:117
 #: data/content/get-fedora-all.html:123 data/content/get-fedora-all.html:124
 #: data/content/get-fedora-all.html:130 data/content/get-fedora-all.html:131
-#: data/content/get-fedora-kde.html:34 data/content/get-fedora.html:29
+#: data/content/get-fedora-kde.html:34 data/content/get-fedora.html:41
 #: data/content/get-prerelease.html:53 data/content/get-prerelease.html:54
 #: data/content/get-prerelease.html:60 data/content/get-prerelease.html:61
 #: data/content/get-prerelease.html:71 data/content/get-prerelease.html:72
@@ -306,41 +306,41 @@ msgid "Fedora KDE Live Media"
 msgstr ""
 
 #: data/content/get-fedora-all.html:136 data/content/get-fedora-kde.html:64
-#: data/content/get-fedora-ppc.html:43 data/content/get-fedora.html:59
+#: data/content/get-fedora-ppc.html:43 data/content/get-fedora.html:71
 #: data/content/get-prerelease.html:84
 msgid "Let me look around..."
 msgstr ""
 
 #: data/content/get-fedora-all.html:138 data/content/get-fedora-kde.html:66
-#: data/content/get-fedora-ppc.html:45 data/content/get-fedora.html:61
+#: data/content/get-fedora-ppc.html:45 data/content/get-fedora.html:73
 #: data/content/get-prerelease.html:86
 msgid "See all torrents"
 msgstr ""
 
 #: data/content/get-fedora-all.html:139 data/content/get-fedora-kde.html:67
-#: data/content/get-fedora-ppc.html:46 data/content/get-fedora.html:62
+#: data/content/get-fedora-ppc.html:46 data/content/get-fedora.html:74
 #: data/content/get-prerelease.html:87
 msgid "See all mirrors"
 msgstr ""
 
 #: data/content/get-fedora-all.html:140 data/content/get-fedora-kde.html:68
-#: data/content/get-fedora-ppc.html:47 data/content/get-fedora.html:63
+#: data/content/get-fedora-ppc.html:47 data/content/get-fedora.html:75
 #: data/content/get-prerelease.html:88
 msgid "See all custom spins"
 msgstr ""
 
 #: data/content/get-fedora-all.html:142 data/content/get-fedora-kde.html:70
-#: data/content/get-fedora-ppc.html:49 data/content/get-fedora.html:65
+#: data/content/get-fedora-ppc.html:49 data/content/get-fedora.html:77
 msgid "Slow Internet? No Internet?"
 msgstr ""
 
 #: data/content/get-fedora-all.html:143 data/content/get-fedora-kde.html:71
-#: data/content/get-fedora-ppc.html:50 data/content/get-fedora.html:66
+#: data/content/get-fedora-ppc.html:50 data/content/get-fedora.html:78
 msgid "Get a copy of Fedora Media sent via postal mail."
 msgstr ""
 
 #: data/content/get-fedora-all.html:145 data/content/get-fedora-kde.html:73
-#: data/content/get-fedora-ppc.html:52 data/content/get-fedora.html:68
+#: data/content/get-fedora-ppc.html:52 data/content/get-fedora.html:80
 msgid ""
 "Purchase installation media for Fedora from <a name=\"media\" "
 "href=\"http://fedoraproject.org/wiki/Distribution/OnlineVendors\">online "
@@ -350,7 +350,7 @@ msgid ""
 msgstr ""
 
 #: data/content/get-fedora-all.html:146 data/content/get-fedora-kde.html:74
-#: data/content/get-fedora-ppc.html:53 data/content/get-fedora.html:69
+#: data/content/get-fedora-ppc.html:53 data/content/get-fedora.html:81
 msgid ""
 "Can't afford the price of installation media? Request Fedora installation"
 " media from the <a "
@@ -359,7 +359,7 @@ msgid ""
 msgstr ""
 
 #: data/content/get-fedora-all.html:149 data/content/get-fedora-kde.html:77
-#: data/content/get-fedora-ppc.html:56 data/content/get-fedora.html:72
+#: data/content/get-fedora-ppc.html:56 data/content/get-fedora.html:84
 msgid ""
 "When you place an order with a <a "
 "href=\"http://fedoraproject.org/wiki/Distribution/SponsoredMedia\">participating"
@@ -370,12 +370,11 @@ msgid ""
 " Sponsored Media Program</a>."
 msgstr ""
 
-#: data/content/get-fedora-kde.html:15 data/content/get-fedora.html:13
+#: data/content/get-fedora-kde.html:15
 msgid "Have a PowerPC?  Go here!"
 msgstr ""
 
 #: data/content/get-fedora-kde.html:16 data/content/get-fedora-ppc.html:16
-#: data/content/get-fedora.html:14
 msgid "Show me all download options in one page!"
 msgstr ""
 
@@ -395,30 +394,30 @@ msgid ""
 msgstr ""
 
 #: data/content/get-fedora-kde.html:25 data/content/get-fedora-kde.html:45
-#: data/content/get-fedora-ppc.html:24 data/content/get-fedora.html:20
-#: data/content/get-fedora.html:40
+#: data/content/get-fedora-ppc.html:24 data/content/get-fedora.html:32
+#: data/content/get-fedora.html:52
 msgid "Resources"
 msgstr ""
 
-#: data/content/get-fedora-kde.html:27 data/content/get-fedora.html:22
+#: data/content/get-fedora-kde.html:27 data/content/get-fedora.html:34
 msgid "Fedora 12 Installation Guide"
 msgstr ""
 
 #: data/content/get-fedora-kde.html:28 data/content/get-fedora-kde.html:48
-#: data/content/get-fedora-ppc.html:27 data/content/get-fedora.html:23
-#: data/content/get-fedora.html:43
+#: data/content/get-fedora-ppc.html:27 data/content/get-fedora.html:35
+#: data/content/get-fedora.html:55
 msgid "Fedora 12 Release Notes"
 msgstr ""
 
 #: data/content/get-fedora-kde.html:29 data/content/get-fedora-kde.html:49
-#: data/content/get-fedora-ppc.html:28 data/content/get-fedora.html:24
-#: data/content/get-fedora.html:44
+#: data/content/get-fedora-ppc.html:28 data/content/get-fedora.html:36
+#: data/content/get-fedora.html:56
 msgid "Help &amp; Support"
 msgstr ""
 
 #: data/content/get-fedora-kde.html:30 data/content/get-fedora-kde.html:50
-#: data/content/get-fedora-ppc.html:29 data/content/get-fedora.html:25
-#: data/content/get-fedora.html:45
+#: data/content/get-fedora-ppc.html:29 data/content/get-fedora.html:37
+#: data/content/get-fedora.html:57
 msgid "Verify your download"
 msgstr ""
 
@@ -435,30 +434,30 @@ msgid "%sMB, ISO format, 1 CD-ROM disc image for Intel-compatible PCs"
 msgstr ""
 
 #: data/content/get-fedora-kde.html:38 data/content/get-fedora-kde.html:58
-#: data/content/get-fedora-ppc.html:37 data/content/get-fedora.html:33
-#: data/content/get-fedora.html:53
+#: data/content/get-fedora-ppc.html:37 data/content/get-fedora.html:45
+#: data/content/get-fedora.html:65
 msgid ""
 "<a href=\"http://docs.fedoraproject.org/install-guide/f12/en-US/html/ch-"
 "new-users.html#sn-making-media\">How do I use this file?</a>"
 msgstr ""
 
 #: data/content/get-fedora-kde.html:40 data/content/get-fedora-kde.html:60
-#: data/content/get-fedora-ppc.html:39 data/content/get-fedora.html:35
-#: data/content/get-fedora.html:55
+#: data/content/get-fedora-ppc.html:39 data/content/get-fedora.html:47
+#: data/content/get-fedora.html:67
 msgid "Download Now!"
 msgstr ""
 
-#: data/content/get-fedora-kde.html:43 data/content/get-fedora.html:38
+#: data/content/get-fedora-kde.html:43 data/content/get-fedora.html:50
 msgid "Upgrade to Fedora 12 from an older version"
 msgstr ""
 
-#: data/content/get-fedora-kde.html:47 data/content/get-fedora.html:42
+#: data/content/get-fedora-kde.html:47 data/content/get-fedora.html:54
 msgid ""
 "<a href=\"http://docs.fedoraproject.org/install-guide/f12/en-US/html/ch-"
 "upgrade-x86.html\">Fedora 12 Upgrade Guide</a>"
 msgstr ""
 
-#: data/content/get-fedora-kde.html:55 data/content/get-fedora.html:50
+#: data/content/get-fedora-kde.html:55 data/content/get-fedora.html:62
 msgid ""
 "Already have Fedora and want to upgrade to Fedora 12? Check out the <a "
 "href=\"http://docs.fedoraproject.org/install-guide/f12/en-US/html/ch-"
@@ -472,11 +471,11 @@ msgid "%sGB, ISO format, 1 DVD disc image for Intel-compatible PCs"
 msgstr ""
 
 #: data/content/get-fedora-kde.html:63 data/content/get-fedora-ppc.html:42
-#: data/content/get-fedora.html:58
+#: data/content/get-fedora.html:70
 msgid "Other Download Options"
 msgstr ""
 
-#: data/content/get-fedora-ppc.html:15 data/content/get-fedora.html:12
+#: data/content/get-fedora-ppc.html:15
 msgid "KDE fans, go here!"
 msgstr ""
 
@@ -511,25 +510,73 @@ msgstr ""
 msgid "%sGB, ISO format, 1 DVD disc image for PowerPC-compatible computers"
 msgstr ""
 
+#: data/content/get-fedora.html:12
+msgid "What will I need?"
+msgstr ""
+
+#: data/content/get-fedora.html:14
+msgid "A blank CD or DVD"
+msgstr ""
+
+#: data/content/get-fedora.html:15
+msgid "A 400MHz or faster processor"
+msgstr ""
+
+#: data/content/get-fedora.html:16
+msgid "At least 256 MB of memory (RAM)"
+msgstr ""
+
+#: data/content/get-fedora.html:17
+msgid "At least 10GB hard drive space (For install only)"
+msgstr ""
+
 #: data/content/get-fedora.html:18
+msgid "Follow the steps below in order to use the spin ISO file."
+msgstr ""
+
+#: data/content/get-fedora.html:20
+msgid "Handy Resources"
+msgstr ""
+
+#: data/content/get-fedora.html:22
+msgid "Installation Quickstart Guide"
+msgstr ""
+
+#: data/content/get-fedora.html:23
+msgid "Installation Guide"
+msgstr ""
+
+#: data/content/get-fedora.html:24
+msgid "Release Notes"
+msgstr ""
+
+#: data/content/get-fedora.html:25
+msgid "Upgrading Fedora"
+msgstr ""
+
+#: data/content/get-fedora.html:26
+msgid "Help & Support"
+msgstr ""
+
+#: data/content/get-fedora.html:30
 msgid ""
 "Get Fedora 12 Desktop Edition Now <em class=\"byline\">Installable Live "
 "CD</em>"
 msgstr ""
 
-#: data/content/get-fedora.html:30
+#: data/content/get-fedora.html:42
 msgid ""
 "This is the latest version of the Fedora Linux operating system featuring"
 " the GNOME desktop.  It's everything you need to try out Fedora&#8212;and"
 " if you like it, install it right from the desktop!"
 msgstr ""
 
-#: data/content/get-fedora.html:33
+#: data/content/get-fedora.html:45
 #, python-format
 msgid "%sMB, ISO format, 1 CD-ROM disc image for Intel-compatible PCs (32-bit)"
 msgstr ""
 
-#: data/content/get-fedora.html:53
+#: data/content/get-fedora.html:65
 #, python-format
 msgid "%sGB, ISO format, 1 DVD disc image for Intel-compatible PCs (32-bit)"
 msgstr ""
@@ -1086,7 +1133,7 @@ msgid ""
 "substantial support:"
 msgstr ""
 
-#: data/content/sponsors.html:38
+#: data/content/sponsors.html:41
 msgid ""
 "Interested in sponsoring something for Fedora?  Contact admin at "
 "fedoraproject * org or stop by #fedora-admin on irc.freenode.net."
@@ -1098,12 +1145,19 @@ msgstr ""
 
 #: data/content/verify.html:12
 msgid ""
+"Please note that the <em>Hash: SHA1</em> line in the CHECKSUM file is "
+"part of the PGP signature.  It does <strong>not</strong> specify the type"
+" of hash used to verify the .iso files."
+msgstr ""
+
+#: data/content/verify.html:15
+msgid ""
 "Windows user?  Follow <a href=\"http://docs.fedoraproject.org/readme-"
 "burning-isos/en_US/sn-validating-files.html\">these instructions</a> "
 "instead."
 msgstr ""
 
-#: data/content/verify.html:15
+#: data/content/verify.html:18
 msgid ""
 "Once you have downloaded an ISO, verify it for security and integrity.  "
 "If you downloaded your ISO via BitTorrent, the file has already been "
@@ -1114,58 +1168,58 @@ msgid ""
 " file into the same directory as the ISO:"
 msgstr ""
 
-#: data/content/verify.html:17
+#: data/content/verify.html:20
 msgid "Install DVD / Rescue CD"
 msgstr ""
 
-#: data/content/verify.html:23
+#: data/content/verify.html:26
 msgid "Live Media"
 msgstr ""
 
-#: data/content/verify.html:31
+#: data/content/verify.html:34
 msgid "Next, import Fedora's GPG key(s):"
 msgstr ""
 
-#: data/content/verify.html:35
+#: data/content/verify.html:38
 #, python-format
 msgid ""
 "You can verify the details of the GPG key(s) <a "
 "href=\"https://fedoraproject.org%s/%s/keys\">here</a>."
 msgstr ""
 
-#: data/content/verify.html:38
+#: data/content/verify.html:41
 msgid "Now, verify that the CHECKSUM file is valid:"
 msgstr ""
 
-#: data/content/verify.html:42
+#: data/content/verify.html:45
 msgid ""
 "The CHECKSUM file should have a good signature from one of the following "
 "keys:"
 msgstr ""
 
-#: data/content/verify.html:45
+#: data/content/verify.html:48
 msgid "Fedora 12"
 msgstr ""
 
-#: data/content/verify.html:46
+#: data/content/verify.html:49
 msgid "Fedora 11"
 msgstr ""
 
-#: data/content/verify.html:47
+#: data/content/verify.html:50
 msgid "Fedora 10"
 msgstr ""
 
-#: data/content/verify.html:48
+#: data/content/verify.html:51
 msgid "Fedora 10 pre-releases"
 msgstr ""
 
-#: data/content/verify.html:51
+#: data/content/verify.html:54
 msgid ""
 "Finally, now that the CHECKSUM file has been verified, check that the "
 "ISO's checksum matches:"
 msgstr ""
 
-#: data/content/verify.html:55
+#: data/content/verify.html:58
 msgid "If the output states that the file is valid, you're good to go!"
 msgstr ""
 
@@ -1314,3 +1368,7 @@ msgstr ""
 msgid "Website Language"
 msgstr ""
 
+#: data/templates/sidebar.html:37
+msgid "Hosting Sponsor"
+msgstr ""
+
diff --git a/fedoraproject.org/static/css/fedora.css b/fedoraproject.org/static/css/fedora.css
index 0ff9ac7..e7eaebf 100644
--- a/fedoraproject.org/static/css/fedora.css
+++ b/fedoraproject.org/static/css/fedora.css
@@ -796,5 +796,25 @@ i
   float: none;
 }
 
+/* applies to get-* pages */
+
+#download-resources {
+  float:right;
+  margin-left:2em;
+  width:21em;
+}
+
+#download-resources h4 {
+  text-transform: uppercase;
+}
+
+#download-resources ul.checkmark-list {
+  list-style: disc url("/static/images/checkmark.png") outside;
+}
+
+
+/* end: applies to get-* pages */
+
+
 /* Hack to make it simple to get rid of borders in a table (ianweller) */
 #content table.nobordersplz th, #content table.nobordersplz td { border-width: 0px; }